Bug 176552 - biology/wise: Update to version 2.4.1
Summary: biology/wise: Update to version 2.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.89 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:08 UTC
- Update to version 2.4.1

Remove file:
pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:12:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:02:20 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:50:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 14:50:38 UTC
Author: miwi
Date: Sat Mar  2 14:50:25 2013
New Revision: 313250
URL: http://svnweb.freebsd.org/changeset/ports/313250

Log:
  - Update to 2.4.1
  
  PR:		176552
  Submitted by:	Ports Fury

Deleted:
  head/biology/wise/pkg-plist
Modified:
  head/biology/wise/Makefile   (contents, props changed)
  head/biology/wise/distinfo   (contents, props changed)

Modified: head/biology/wise/Makefile
==============================================================================
--- head/biology/wise/Makefile	Sat Mar  2 14:49:28 2013	(r313249)
+++ head/biology/wise/Makefile	Sat Mar  2 14:50:25 2013	(r313250)
@@ -1,24 +1,30 @@
-# New ports collection makefile for:	wise
-# Date created:				26 February 2002
-# Whom:					Tony Maher <tonym@biolateral.com.au>
-#
+# Created by: Tony Maher <tonym@biolateral.com.au>
 # $FreeBSD$
-#
 
 PORTNAME=	wise
-PORTVERSION=	2.2.0
+PORTVERSION=	2.4.1
 CATEGORIES=	biology
-MASTER_SITES=	ftp://ftp.ebi.ac.uk/pub/software/unix/wise2/
+MASTER_SITES=	http://www.ebi.ac.uk/~birney/wise2/
 DISTNAME=	${PORTNAME}${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Intelligent algorithms for DNA searches
 
-WRKTOP=		${WRKDIR}/${DISTNAME}
-WRKSRC=		${WRKTOP}/src
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
+BUILD_WRKSRC=	${WRKSRC}/src
+
+USE_GNOME=	glib20
 MAKEFILE=	makefile
+MAKE_JOBS_SAFE=	yes
+
 SUB_FILES=	pkg-message
 
+PORTDOCS=	*
+PORTEXAMPLES=	*
+PLIST_FILES=	${BINFILES:S,^,bin/,} ${DATAFILES:S,^,%%DATADIR%%/,}
+PLIST_DIRS=	%%DATADIR%%
+
 #
 # Actually want an 'ALL_TARGET = all perl' which then requires
 # 'USE_PERL5= yes' but the perl sub-build is currently broken.
@@ -29,68 +35,44 @@ SUB_FILES=	pkg-message
 # something like '@cd ${WRKSRC}/perl/Wise2; ${MAKE} install'
 #
 
-BINFILES=	dba dnal estwise estwisedb genewise genewisedb \
-		genomewise psw pswdb
-DATAFILES=	BLOSUM30.bla BLOSUM45.bla BLOSUM62.bla BLOSUM80.bla \
-		aa.rnd blosum30.bla blosum62.bla cb.tmf codon.table \
-		gene.stat gon120.bla gon160.bla gon200.bla gon250.bla \
-		gon350.bla human.gf human.gp human.stats idenity.bla \
-		methods pb.gf pombe.gf tm.pri wise.2 wise.per worm.gf
-DOCFILES=	README apiend.tex appendix.tex dynamite.tex \
-		genewise21.eps genewise6.eps gettex.pl makefile \
-		wise2.tex wise2api.tex wise3arch.tex
-EXFILES=	README db.hmm hn_est.fa human.genomic \
-		keratin_intron.human keratin_intron.mouse pep.fa \
-		road.pep rrm.HMM vav.dna xeno.cdna xeno.pep
-
-#
-# Top level makefile does not respect CFLAGS.  Fixing it means
-# having to fix some of the sub-directory makefiles.
-# Note: some makefiles are ok and know that '-c' does not belong
-# in CFLAGS and are part of the rule.
-#
-
-post-configure:
-	@${REINPLACE_CMD} \
-		-e s'#^CFLAGS = -c -O#CFLAGS ?= -c -O#;' \
-		-e s'#\tcsh welcome.csh##;' \
-		${WRKSRC}/${MAKEFILE}
-	@${REINPLACE_CMD} \
-		-e s'#CFLAGS) $?#CFLAGS) -c $?#;' \
-		${WRKSRC}/base/${MAKEFILE}
-	@${REINPLACE_CMD} \
-		-e s'#INCFLAGS) $?#INCFLAGS) -c $?#;' \
-		${WRKSRC}/dynlibsrc/${MAKEFILE}
-	@${REINPLACE_CMD} \
-		-e s'#INCFLAGS) $?#INCFLAGS) -c $?#;' \
-		-e s'#CFLAGS) estwise.c#CFLAGS) -c estwise.c#;' \
-		-e s'#CFLAGS) estwiseb.c#CFLAGS) -c estwiseb.c#;' \
-		-e s'#CFLAGS) estwisedb.c#CFLAGS) -c estwisedb.c#;' \
-		-e s'#CFLAGS) genewise.c#CFLAGS) -c genewise.c#;' \
-		-e s'#CFLAGS) genewisedb.c#CFLAGS) -c genewisedb.c#;' \
-		${WRKSRC}/models/${MAKEFILE}
+BINFILES=	dba dnal estwise estwisedb genewise genewisedb promoterwise \
+		psw pswdb scanwise scanwise_server
+DATAFILES=	BLOSUM30.bla BLOSUM45.bla BLOSUM62.bla BLOSUM80.bla aa.rnd \
+		cb.tmf codon.table gene.stat gon120.bla gon160.bla \
+		gon200.bla gon250.bla gon350.bla human.gf human.gp \
+		human.stats idenity.bla methods pb.gf pombe.gf tm.pri \
+		wise.2 wise.per worm.gf
+
+.include <bsd.port.options.mk>
+
+post-patch:
+	@${FIND} ${BUILD_WRKSRC} -name "makefile" | ${XARGS} \
+		${REINPLACE_CMD} -e \
+		's|^CC =|CC ?=| ; \
+		 s|^CFLAGS =|CFLAGS +=| ; \
+		 s|-O[0-9] | | ; \
+		 s|-g | | ; \
+		 s|-g[0-9] | | ; \
+		 s|-lpthread|-pthread| ; \
+		 s|glib-config|pkg-config glib-2.0| ; \
+		 /welcome.csh/s|^|#|'
 
 do-install:
-.for file in ${BINFILES}
-	@${INSTALL_PROGRAM} ${WRKSRC}/bin/${file} ${PREFIX}/bin
+.for i in ${BINFILES}
+	(cd ${BUILD_WRKSRC}/bin && ${INSTALL_PROGRAM} ${i} ${PREFIX}/bin)
 .endfor
 	@${MKDIR} ${DATADIR}
-.for file in ${DATAFILES}
-	@${INSTALL_DATA} ${WRKTOP}/wisecfg/${file} ${DATADIR}
+.for i in ${DATAFILES}
+	(cd ${WRKSRC}/wisecfg && ${INSTALL_DATA} ${i} ${DATADIR})
 .endfor
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-.for file in ${DOCFILES}
-	@${INSTALL_DATA} ${WRKTOP}/docs/${file} ${DOCSDIR}
-.endfor
+	@(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR})
+.endif
+.if ${PORT_OPTIONS:MEXAMPLES}
 	 @${MKDIR} ${EXAMPLESDIR}
-.for file in ${EXFILES}
-	@${INSTALL_DATA} ${WRKTOP}/test_data/${file} ${EXAMPLESDIR}
-.endfor
-
+	@(cd ${WRKSRC}/test_data && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
 .endif
-
-post-install:
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/biology/wise/distinfo
==============================================================================
--- head/biology/wise/distinfo	Sat Mar  2 14:49:28 2013	(r313249)
+++ head/biology/wise/distinfo	Sat Mar  2 14:50:25 2013	(r313250)
@@ -1,2 +1,2 @@
-SHA256 (wise2.2.0.tar.gz) = 192db34ffa76ef14a9804cc5a7ab72554498284c841f940f8951b4bfae96d780
-SIZE (wise2.2.0.tar.gz) = 2108151
+SHA256 (wise2.4.1.tar.gz) = 240e2b12d6cd899040e2efbcb85b0d3c10245c255f3d07c1db45d0af5a4d5fa1
+SIZE (wise2.4.1.tar.gz) = 3193910
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"